/**
 * Form component styles.
 */
@layer components {

  /*
    Inputs group
   */

  .ui\.input {
    @apply block border border-gray-400 w-full px-3 py-1 rounded;
  }

  .ui\.input::placeholder {
    @apply opacity-100 text-gray-600;
  }

  .ui\.input ~ .ui\.error {
    @apply block text-red-600 text-left pl-3;
  }

  /*
    Invalid state
   */

  .ui\.input.ui\.invalid {
    @apply text-red-600 border-red-600;
  }

  .ui\.input.ui\.invalid::placeholder {
    @apply opacity-100 text-red-600;
  }

}
